Trust Centers
Set Trust Center videos
Configures the videos displayed on a Trust Center. Replaces all existing videos with the provided list. To keep an existing video, send its id from the list endpoint; a video sent without an id is added as a new video with a new id.
PUT
/
trust-centers
/
{slugId}
/
videos
Set Trust Center videos
curl --request PUT \
--url https://api.vanta.com/v1/trust-centers/{slugId}/videos \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"videos": [
{
"url": "<string>",
"title": "<string>",
"id": "<string>",
"description": "<string>"
}
]
}
'import requests
url = "https://api.vanta.com/v1/trust-centers/{slugId}/videos"
payload = { "videos": [
{
"url": "<string>",
"title": "<string>",
"id": "<string>",
"description": "<string>"
}
] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
videos: [{url: '<string>', title: '<string>', id: '<string>', description: '<string>'}]
})
};
fetch('https://api.vanta.com/v1/trust-centers/{slugId}/videos', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.vanta.com/v1/trust-centers/{slugId}/videos",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => json_encode([
'videos' => [
[
'url' => '<string>',
'title' => '<string>',
'id' => '<string>',
'description' => '<string>'
]
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.vanta.com/v1/trust-centers/{slugId}/videos"
payload := strings.NewReader("{\n \"videos\": [\n {\n \"url\": \"<string>\",\n \"title\": \"<string>\",\n \"id\": \"<string>\",\n \"description\": \"<string>\"\n }\n ]\n}")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.put("https://api.vanta.com/v1/trust-centers/{slugId}/videos")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"videos\": [\n {\n \"url\": \"<string>\",\n \"title\": \"<string>\",\n \"id\": \"<string>\",\n \"description\": \"<string>\"\n }\n ]\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.vanta.com/v1/trust-centers/{slugId}/videos")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Put.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"videos\": [\n {\n \"url\": \"<string>\",\n \"title\": \"<string>\",\n \"id\": \"<string>\",\n \"description\": \"<string>\"\n }\n ]\n}"
response = http.request(request)
puts response.read_body{
"results": [
{
"id": "a2f7e1b9d0c3f4e5a6c7b8d9",
"url": "https://www.youtube.com/watch?v=dQw4w9WgXcQ",
"title": "Product security overview",
"description": "An overview of our security practices"
}
]
}Authorizations
Body
application/json
Was this page helpful?
⌘I
Set Trust Center videos
curl --request PUT \
--url https://api.vanta.com/v1/trust-centers/{slugId}/videos \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"videos": [
{
"url": "<string>",
"title": "<string>",
"id": "<string>",
"description": "<string>"
}
]
}
'import requests
url = "https://api.vanta.com/v1/trust-centers/{slugId}/videos"
payload = { "videos": [
{
"url": "<string>",
"title": "<string>",
"id": "<string>",
"description": "<string>"
}
] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
videos: [{url: '<string>', title: '<string>', id: '<string>', description: '<string>'}]
})
};
fetch('https://api.vanta.com/v1/trust-centers/{slugId}/videos', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.vanta.com/v1/trust-centers/{slugId}/videos",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => json_encode([
'videos' => [
[
'url' => '<string>',
'title' => '<string>',
'id' => '<string>',
'description' => '<string>'
]
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.vanta.com/v1/trust-centers/{slugId}/videos"
payload := strings.NewReader("{\n \"videos\": [\n {\n \"url\": \"<string>\",\n \"title\": \"<string>\",\n \"id\": \"<string>\",\n \"description\": \"<string>\"\n }\n ]\n}")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.put("https://api.vanta.com/v1/trust-centers/{slugId}/videos")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"videos\": [\n {\n \"url\": \"<string>\",\n \"title\": \"<string>\",\n \"id\": \"<string>\",\n \"description\": \"<string>\"\n }\n ]\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.vanta.com/v1/trust-centers/{slugId}/videos")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Put.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"videos\": [\n {\n \"url\": \"<string>\",\n \"title\": \"<string>\",\n \"id\": \"<string>\",\n \"description\": \"<string>\"\n }\n ]\n}"
response = http.request(request)
puts response.read_body{
"results": [
{
"id": "a2f7e1b9d0c3f4e5a6c7b8d9",
"url": "https://www.youtube.com/watch?v=dQw4w9WgXcQ",
"title": "Product security overview",
"description": "An overview of our security practices"
}
]
}